<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>GenIDL3 xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/idl/codegen/GenIDL3.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2016 CEA LIST</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials are</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * made available under the terms of the Eclipse Public License v1.0 which</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *   Ansgar Radermacher - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.idl.codegen;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.EList;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.idl.codegen.GenIDL2;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.idl.codegen.Utils;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.idl.codegen.preferences.IDLCodeGenUtils;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Interface;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Port;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtend2.lib.StringConcatenation;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  @SuppressWarnings(<span class="jxr_string">"all"</span>)
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/idl/codegen/GenIDL3.html">GenIDL3</a> {
<a class="jxr_linenumber" name="L24" href="#L24">24</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> CharSequence genIDL3(<strong class="jxr_keyword">final</strong> org.eclipse.uml2.uml.Class clazz) {
<a class="jxr_linenumber" name="L25" href="#L25">25</a>      StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L26" href="#L26">26</a>      String _commentHeader = IDLCodeGenUtils.getCommentHeader();
<a class="jxr_linenumber" name="L27" href="#L27">27</a>      _builder.append(_commentHeader, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L28" href="#L28">28</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L29" href="#L29">29</a>      _builder.append(<span class="jxr_string">"// IDL3 for component "</span>);
<a class="jxr_linenumber" name="L30" href="#L30">30</a>      String _name = clazz.getName();
<a class="jxr_linenumber" name="L31" href="#L31">31</a>      _builder.append(_name, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L32" href="#L32">32</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L33" href="#L33">33</a>      _builder.newLine();
<a class="jxr_linenumber" name="L34" href="#L34">34</a>      _builder.append(<span class="jxr_string">"#ifndef D_"</span>);
<a class="jxr_linenumber" name="L35" href="#L35">35</a>      String _name_1 = clazz.getName();
<a class="jxr_linenumber" name="L36" href="#L36">36</a>      _builder.append(_name_1, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L37" href="#L37">37</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L38" href="#L38">38</a>      _builder.append(<span class="jxr_string">"#define D_"</span>);
<a class="jxr_linenumber" name="L39" href="#L39">39</a>      String _name_2 = clazz.getName();
<a class="jxr_linenumber" name="L40" href="#L40">40</a>      _builder.append(_name_2, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L41" href="#L41">41</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L42" href="#L42">42</a>      _builder.newLine();
<a class="jxr_linenumber" name="L43" href="#L43">43</a>      CharSequence _includes = GenIDL2.getIncludes(clazz);
<a class="jxr_linenumber" name="L44" href="#L44">44</a>      _builder.append(_includes, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L45" href="#L45">45</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L46" href="#L46">46</a>      _builder.newLine();
<a class="jxr_linenumber" name="L47" href="#L47">47</a>      CharSequence _openNamespaceIDL = Utils.openNamespaceIDL(clazz);
<a class="jxr_linenumber" name="L48" href="#L48">48</a>      _builder.append(_openNamespaceIDL, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L49" href="#L49">49</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L50" href="#L50">50</a>      _builder.newLine();
<a class="jxr_linenumber" name="L51" href="#L51">51</a>      _builder.append(<span class="jxr_string">"component "</span>);
<a class="jxr_linenumber" name="L52" href="#L52">52</a>      String _name_3 = clazz.getName();
<a class="jxr_linenumber" name="L53" href="#L53">53</a>      _builder.append(_name_3, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L54" href="#L54">54</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L55" href="#L55">55</a>      _builder.append(<span class="jxr_string">"{"</span>);
<a class="jxr_linenumber" name="L56" href="#L56">56</a>      _builder.newLine();
<a class="jxr_linenumber" name="L57" href="#L57">57</a>      {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>        EList&lt;Port&gt; _ownedPorts = clazz.getOwnedPorts();
<a class="jxr_linenumber" name="L59" href="#L59">59</a>        <strong class="jxr_keyword">for</strong>(<strong class="jxr_keyword">final</strong> Port port : _ownedPorts) {
<a class="jxr_linenumber" name="L60" href="#L60">60</a>          {
<a class="jxr_linenumber" name="L61" href="#L61">61</a>            EList&lt;Interface&gt; _provideds = port.getProvideds();
<a class="jxr_linenumber" name="L62" href="#L62">62</a>            <strong class="jxr_keyword">for</strong>(<strong class="jxr_keyword">final</strong> Interface intf : _provideds) {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>              _builder.append(<span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L64" href="#L64">64</a>              _builder.append(<span class="jxr_string">"provide "</span>);
<a class="jxr_linenumber" name="L65" href="#L65">65</a>              String _name_4 = intf.getName();
<a class="jxr_linenumber" name="L66" href="#L66">66</a>              _builder.append(_name_4, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L67" href="#L67">67</a>              _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L68" href="#L68">68</a>              String _name_5 = port.getName();
<a class="jxr_linenumber" name="L69" href="#L69">69</a>              _builder.append(_name_5, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L70" href="#L70">70</a>              _builder.append(<span class="jxr_string">";"</span>);
<a class="jxr_linenumber" name="L71" href="#L71">71</a>              _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L72" href="#L72">72</a>            }
<a class="jxr_linenumber" name="L73" href="#L73">73</a>          }
<a class="jxr_linenumber" name="L74" href="#L74">74</a>          {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>            EList&lt;Interface&gt; _requireds = port.getRequireds();
<a class="jxr_linenumber" name="L76" href="#L76">76</a>            <strong class="jxr_keyword">for</strong>(<strong class="jxr_keyword">final</strong> Interface intf_1 : _requireds) {
<a class="jxr_linenumber" name="L77" href="#L77">77</a>              _builder.append(<span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L78" href="#L78">78</a>              _builder.append(<span class="jxr_string">"use "</span>);
<a class="jxr_linenumber" name="L79" href="#L79">79</a>              String _name_6 = intf_1.getName();
<a class="jxr_linenumber" name="L80" href="#L80">80</a>              _builder.append(_name_6, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L81" href="#L81">81</a>              _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L82" href="#L82">82</a>              String _name_7 = port.getName();
<a class="jxr_linenumber" name="L83" href="#L83">83</a>              _builder.append(_name_7, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L84" href="#L84">84</a>              _builder.append(<span class="jxr_string">";"</span>);
<a class="jxr_linenumber" name="L85" href="#L85">85</a>              _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L86" href="#L86">86</a>            }
<a class="jxr_linenumber" name="L87" href="#L87">87</a>          }
<a class="jxr_linenumber" name="L88" href="#L88">88</a>        }
<a class="jxr_linenumber" name="L89" href="#L89">89</a>      }
<a class="jxr_linenumber" name="L90" href="#L90">90</a>      _builder.append(<span class="jxr_string">"}"</span>);
<a class="jxr_linenumber" name="L91" href="#L91">91</a>      _builder.newLine();
<a class="jxr_linenumber" name="L92" href="#L92">92</a>      _builder.newLine();
<a class="jxr_linenumber" name="L93" href="#L93">93</a>      _builder.append(<span class="jxr_string">"home "</span>);
<a class="jxr_linenumber" name="L94" href="#L94">94</a>      String _name_8 = clazz.getName();
<a class="jxr_linenumber" name="L95" href="#L95">95</a>      _builder.append(_name_8, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L96" href="#L96">96</a>      _builder.append(<span class="jxr_string">"_home manages "</span>);
<a class="jxr_linenumber" name="L97" href="#L97">97</a>      String _name_9 = clazz.getName();
<a class="jxr_linenumber" name="L98" href="#L98">98</a>      _builder.append(_name_9, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L99" href="#L99">99</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L100" href="#L100">100</a>     _builder.append(<span class="jxr_string">"{"</span>);
<a class="jxr_linenumber" name="L101" href="#L101">101</a>     _builder.newLine();
<a class="jxr_linenumber" name="L102" href="#L102">102</a>     _builder.append(<span class="jxr_string">"}"</span>);
<a class="jxr_linenumber" name="L103" href="#L103">103</a>     _builder.newLine();
<a class="jxr_linenumber" name="L104" href="#L104">104</a>     _builder.newLine();
<a class="jxr_linenumber" name="L105" href="#L105">105</a>     CharSequence _closeNamespaceIDL = Utils.closeNamespaceIDL(clazz);
<a class="jxr_linenumber" name="L106" href="#L106">106</a>     _builder.append(_closeNamespaceIDL, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L107" href="#L107">107</a>     _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L108" href="#L108">108</a>     _builder.newLine();
<a class="jxr_linenumber" name="L109" href="#L109">109</a>     _builder.append(<span class="jxr_string">"#endif"</span>);
<a class="jxr_linenumber" name="L110" href="#L110">110</a>     _builder.newLine();
<a class="jxr_linenumber" name="L111" href="#L111">111</a>     <strong class="jxr_keyword">return</strong> _builder;
<a class="jxr_linenumber" name="L112" href="#L112">112</a>   }
<a class="jxr_linenumber" name="L113" href="#L113">113</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
